classification
Title: Vista UAC/elevation support for bdist_wininst
Type: behavior Stage:
Components: Distutils Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: mhammond Nosy List: mhammond, techtonik, theller
Priority: normal Keywords: patch

Created on 2008-04-08 02:43 by mhammond, last changed 2010-06-01 19:59 by techtonik. This issue is now closed.

Files
File name Uploaded Description Edit
bdist_wininst_uac.patch mhammond, 2008-04-08 02:43 patch adding uac capabilities to bdist_wininst
Messages (3)
msg65139 - (view) Author: Mark Hammond (mhammond) * (Python committer) Date: 2008-04-08 02:43
The attached patch adds basic UAC support to bdist_wininst created
installers.  A new option '--user-access-control' has been added to
bdist_wininst, which is written to the INI file read by the installer. 
The installer reads this value: if it is 'force', elevation is always
requested, if it is 'auto', elevation is requested when Python is
installed in HKLM.  'none' (the default) means nothing UAC related
happens at all.

The elevation happens by having the installer re-execute itself using
ShellExecute.

I've also ensured the code builds for all versions of VS we support.  As
a result, it was necessary to change the old bdist_wininst project files
to point to the later zlib version Python itself uses.  All these
changes are in the patch.
msg66135 - (view) Author: Mark Hammond (mhammond) * (Python committer) Date: 2008-05-03 00:14
Checked in as r62636
msg106854 - (view) Author: anatoly techtonik (techtonik) Date: 2010-06-01 19:59
Doesn't seem to work anymore. Please, see:
http://bugs.python.org/issue8870
http://bugs.python.org/issue8871
History
Date User Action Args
2010-06-01 19:59:35techtoniksetnosy: + techtonik
messages: + msg106854
2008-05-03 00:14:01mhammondsetstatus: open -> closed
keywords: patch, patch
resolution: fixed
messages: + msg66135
2008-04-08 02:43:06mhammondcreate